<div class="list row">
  <div class="col-md-8">
    <div class="input-group mb-3">
      <input
        type="text"
        class="form-control"
        placeholder="Search by Name"
        [(ngModel)]="name"
      />
      <div class="input-group-append">
        <button
          class="btn btn-outline-secondary"
          type="button"
          (click)="searchName()"
        >
          Search
        </button>
      </div>
    </div>
  </div>
  <div class="col-md-12">
    <h4>Product List</h4>
    <table class="table">
      <thead>
      <tr>
        <th scope="col">Product Id</th>
        <th scope="col">Product name</th>
        <th scope="col">Brand</th>
        <th scope="col">Description</th>
        <th scope="col">Price</th>
        <th scope="col">Stock</th>
        <th scope="col">Actions</th>
      </tr>
      </thead>
      <tr

        *ngFor="let product of products; let i = index"
        [class.active]="i == currentIndex"
        (click)="setActiveProduct(product, i)"
      >
        <td> {{ product.id }}</td>
        <td> {{ product.name }}</td>
        <td> {{ product.description }}</td>
        <td> {{ product.price }}</td>
        <td> {{ product.stock }}</td>
        <td><a routerLink="/products/{{ product.id }}">
          Edit
        </a>

        <td>
      </tr>
    </table>

  </div>

</div>
